Skip to:
Content

BuddyPress.org


Ignore:
Timestamp:
09/15/2016 08:19:52 PM (5 years ago)
Author:
djpaul
Message:

Core: stop loading deprecated code files for new installs from 2.7 onwards.

Existing installs will continue to load the deprecated code.

Fixes #6839

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/bp-core/bp-core-update.php

    r11095 r11105  
    266266
    267267        // Version 2.7.0.
    268         if ( $raw_db_version < 11079 ) {
     268        if ( $raw_db_version < 11105 ) {
    269269            bp_update_to_2_7();
    270270        }
     
    511511 * - Add email unsubscribe salt.
    512512 * - Save legacy directory titles to the corresponding WP pages.
     513 * - Add ignore deprecated code option (false for updates).
    513514 *
    514515 * @since 2.7.0
     
    537538        }
    538539    }
     540
     541    // Load deprecated code for existing installs.
     542    bp_add_option( '_bp_ignore_deprecated_code', false );
    539543}
    540544
Note: See TracChangeset for help on using the changeset viewer.